.freeform-form button[type=submit].freeform-processing {
    display: inline-flex;
    flex-wrap: nowrap;
    align-items: center;
}
.freeform-form button[type=submit].freeform-processing:before {
    content: "";
    display: block;
    flex: 1 0 11px;
    width: 11px;
    height: 11px;
    margin-right: 10px;
    border-style: solid;
    border-width: 2px;
    border-color: transparent transparent #fff #fff;
    border-radius: 50%;
    animation: freeform-processing .5s linear infinite;
}
@keyframes freeform-processing {
    0% {
        transform: rotate(0);
    }
    100% {
        transform: rotate(1turn);
    }
}

.freeform-form .cell > label:first-child,
.freeform-fieldtype-checkbox > label {
    font-weight: 600;
    margin-bottom: 2px;
}
.freeform-form input,
.freeform-form textarea,
.freeform-form select {
    margin-bottom: 0 !important;
}
.freeform-form .input-group-one-line label {
    display: inline-block;
    margin: 0 15px 0 0;
}
.freeform-form input[type="radio"],
.freeform-form input[type="checkbox"] {
    margin: 0 7px 0 0;
    padding: 0;
}
.freeform-form input[type="radio"] + label,
.freeform-form input[type="checkbox"] + label {
    margin: 0;
    padding: 0;
}
.freeform-form label.required:after {
    content: "*";
    margin-left: 3px;
    color: red;
}
.freeform-fieldtype-group > .grid-container {
    margin: -7px -15px -2px;
}
.freeform-table-button-green {
    background: green;
}
.freeform-table-button-red {
    background: red;
}

.freeform-page-tabs {
    border-bottom: 1px solid gray;
    margin-bottom: 15px;
}
.freeform-page-tabs li {
    font-weight: normal !important;
    color: gray !important;
}
.freeform-page-tabs li.is-active {
    font-weight: bold !important;
    color: black !important;
    border: 1px solid gray;
    border-bottom: none;
    background: lightgray;
}
.freeform-form .grid-margin-x {
    padding: 7px 0;
}
.freeform-form .errors {
    color: red;
    margin-bottom: 0 !important;
}
.freeform-form .help-text {
    color: gray;
    line-height: 1.8;
    margin-top: -8px;
    margin-bottom: 2px;
}
.freeform-form .has-error {
    border: 1px solid red;
}
.freeform-form .submit-buttons {
    margin-top: 20px !important;
}